#include <iostream>
#include <cmath>

using namespace std;

int niz[3] = {5,2,1}, tempbrNovcanica, stepen = 0, koeficijent = 0, brNovcanica = 0;
unsigned long long desetNaStepen = 0, novac = 0;

int main()
{
    cin >> novac;

    while(novac >= 10){
        //cout << novac << endl;

        stepen = floor(log(novac) / log(10));
        //cout << "Stepen " << stepen << endl;

        desetNaStepen = 10;

        for(int i = 1; i < stepen;i++){
            desetNaStepen *= 10;
        }

        koeficijent = novac / desetNaStepen;

        //cout << "koeficijent "  << koeficijent << endl;

        for(int i = 0; i < 3;i++){
            if(koeficijent >= niz[i]){
                koeficijent = niz[i];
                break;
            }
        }

        //cout << "koeficijent "  << koeficijent << endl;

        tempbrNovcanica = novac / (koeficijent * desetNaStepen);

        brNovcanica += tempbrNovcanica;

        //cout << "brNovcanica "  << brNovcanica << endl;

        novac -= koeficijent * desetNaStepen * tempbrNovcanica;

        //cout << "ostatak "  << novac << " oduzimac " << tempbrNovcanica << " * " << koeficijent * desetNaStepen <<  endl << endl << endl;

    }

    for(int i = 0; i < 3;i++){
            //cout << novac << endl;

            if(novac >= niz[i]){
                tempbrNovcanica = novac / niz[i];
                novac -= tempbrNovcanica * niz[i];
                brNovcanica += tempbrNovcanica;
                //cout << "Oduzeto: " << tempbrNovcanica << " * " << niz[i] << " i ostalo je " << novac << endl;
                if(novac == 0)
                    break;
            }
        }

    cout << brNovcanica << endl;

    return 0;
}